#
# spec file for package autotrash
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           autotrash
Version:        0.4.4
Release:        1.9
Summary:        Tool to automatically purge old trashed files
License:        GPL-3.0-or-later
URL:            http://www.logfish.net/pr/autotrash/
Source:         https://files.pythonhosted.org/packages/source/a/autotrash/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       python3
BuildRequires:  python3-setuptools

%description
Autotrash is a small python script to automatically remove (permanently delete)
trashed files. It relies on the FreeDesktop.org Trash files for it's deletion
information.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --skip-build --root %{buildroot}

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/autotrash
%{python3_sitelib}/*

%changelog
* Wed Dec 29 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 0.4.4:
  + Tiny bit of love: change default template for systemd unit
    files to also contain a link to the project on github.
- Changes from version 0.4.3:
  + This release only fixes the license rendering on pypi.
- Changes from version 0.4.2:
  + Drop arrow dependency.
- Changes from version 0.4.1:
  + Release 0.4.1 but now with a package description in PyPi.
- Changes from version 0.4.0;
  + New --install feature to add systemctl timer.
- Changes from version 0.3.0:
  + A date parsing issue (#15) inspired me to revamp the
    distribution and packaging.
  + The package is no longer a single python script, but a full
    python package you will be able to install from PyPi shortly.
- Changes from version 0.2.1:
  + Prevent UnboundLocalError when --max-free is set and enough
    space free.
- Drop injected man page: upstream no longer maintains it
  apparently.
- Add python3-setuptools BuildRequires: new build dependency.
* Tue May 11 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Do not BuildRequire pandoc (as it does not exist on all
  architectures).
- Inject autotrash.1: build will fail when this needs to be
  regenerated (as pandoc would be missing).
* Sat Feb  6 2016 mailaender@opensuse.org
- initial packaging
